[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

Public Member Functions | List of all members
AffineMotionEstimationOptions< SPLINEORDER > Class Template Reference

Option object for affine registration functions. More...

`#include <vigra/affine_registration.hxx>`

## Public Member Functions

AffineMotionEstimationOptions & | burtFilterCenterStrength (double center)
| Define amount of smoothing before subsampling to the next pyramid level.
AffineMotionEstimationOptions & | highestPyramidLevel (unsigned int level)
| Define the highest level of the image pyramid.
AffineMotionEstimationOptions & | iterationsPerLevel (unsigned int iter)
| Number of Gauss-Newton iterations per level.
template<int NEWORDER>
AffineMotionEstimationOptions< NEWORDER > | splineOrder () const
| Change the spline order for intensity interpolation.
AffineMotionEstimationOptions & | useGaussianPyramid (bool f=true)
| Base registration on a Gaussian pyramid.
AffineMotionEstimationOptions & | useLaplacianPyramid (bool f=true)
| Base registration on a Laplacian pyramid.

## Detailed Description

template<int SPLINEORDER = 2>
class vigra::AffineMotionEstimationOptions< SPLINEORDER >

Option object for affine registration functions.

The template parameter SPLINEORDER (default: 2) specifies the order of interpolation for the intensities at non-integer image coordinates.

## Member Function Documentation

## ◆ splineOrder()

template<int SPLINEORDER = 2>
template<int NEWORDER>

AffineMotionEstimationOptions< NEWORDER > splineOrder | ( |  | ) | const

Change the spline order for intensity interpolation.

Usage:

// use linear interpolation
AffineMotionEstimationOptions<>().splineOrder<1>();

Default: order = 2 (quadratic interpolation)

## ◆ burtFilterCenterStrength()

template<int SPLINEORDER = 2>

AffineMotionEstimationOptions & burtFilterCenterStrength | ( | double | center | ) |

Define amount of smoothing before subsampling to the next pyramid level.

Pyramids are created with the Burt filter:

[0.25 - center / 2.0, 0.25, center, 0.25, 0.25 - center / 2.0]

center must thus be between 0.25 and 0.5, and the smaller it is, the more smoothing is applied.

Default: 0.4 (moderate smoothing)

## ◆ highestPyramidLevel()

template<int SPLINEORDER = 2>

AffineMotionEstimationOptions & highestPyramidLevel | ( | unsigned int | level | ) |

Define the highest level of the image pyramid.

The original image is at level 0, and each level downsamples the image by 1/2.

Default: 4 (16-fold downsampling)

## ◆ iterationsPerLevel()

template<int SPLINEORDER = 2>

AffineMotionEstimationOptions & iterationsPerLevel | ( | unsigned int | iter | ) |

Number of Gauss-Newton iterations per level.

Default: 4

## ◆ useGaussianPyramid()

template<int SPLINEORDER = 2>

AffineMotionEstimationOptions & useGaussianPyramid | ( | bool | f = true | ) |

Base registration on a Gaussian pyramid.

Images are registered such that the similarity in intensity is maximized.

Default: true

## ◆ useLaplacianPyramid()

template<int SPLINEORDER = 2>

AffineMotionEstimationOptions & useLaplacianPyramid | ( | bool | f = true | ) |

Base registration on a Laplacian pyramid.

Images are registered such that the similarity in second derivatives (=Laplacian operator results) is maximized.

Default: false

The documentation for this class was generated from the following file:

- vigra/affine_registration.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.4